Subject: Re: [PATCH v4] submodule: fetch missing objects from default remote

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2026 12:02:17 -0800

Nasser Grainawi <[email-masked]> writes:

> On Tue, Mar 3, 2026 at 12:00 PM Nasser Grainawi
> <[email-masked]> wrote:
>>
>> Also, I just noticed I have $pwd in a couple places and need that to be
>> $(pwd), so I will send both those fixes.
>
> Sorry, ignore this. L11 in this script has `pwd=$(pwd)`, so the $pwd
> usage was intentional and not problematic.

Oh, then it would make it easier to fix, actually, since $pwd is
some fixed directory established long before the control flow went
into the subshell so the fix for test_when_finished that are used to
remove things under $pwd/ (not $(pwd)/) would just be the matter of
moving them out of the subshell, setting the finished handlers up
before we go into the subshells.